

- generic_file_open() comment fix (Bill Irwin)

- kerneldoc fix in truncate.c (Aniruddha M Marathe)

- remove truncate debug check.

- page_lock comment fix (Robert Love)

- remove unused device mapper label.

- 3c509 docco fix ("Mark Tranchant" <mark@tranchant.freeserve.co.uk>)


 Documentation/networking/3c509.txt |    2 +-
 drivers/md/dm-ioctl.c              |    1 -
 fs/open.c                          |    2 +-
 include/linux/fs.h                 |    2 +-
 mm/truncate.c                      |    8 +++-----
 5 files changed, 6 insertions(+), 9 deletions(-)

diff -puN fs/open.c~misc fs/open.c
--- 25/fs/open.c~misc	2003-05-17 14:09:32.000000000 -0700
+++ 25-akpm/fs/open.c	2003-05-17 14:09:32.000000000 -0700
@@ -902,7 +902,7 @@ asmlinkage long sys_vhangup(void)
 
 /*
  * Called when an inode is about to be open.
- * We use this to disallow opening RW large files on 32bit systems if
+ * We use this to disallow opening large files on 32bit systems if
  * the caller didn't specify O_LARGEFILE.  On 64bit systems we force
  * on this flag in sys_open.
  */
diff -puN mm/truncate.c~misc mm/truncate.c
--- 25/mm/truncate.c~misc	2003-05-17 14:09:32.000000000 -0700
+++ 25-akpm/mm/truncate.c	2003-05-17 14:09:32.000000000 -0700
@@ -173,15 +173,13 @@ void truncate_inode_pages(struct address
 		}
 		pagevec_release(&pvec);
 	}
-	if (lstart == 0 && mapping->nrpages)
-		printk("%s: I goofed!\n", __FUNCTION__);
 }
 
 /**
  * invalidate_mapping_pages - Invalidate all the unlocked pages of one inode
- * @inode: the address_space which holds the pages to invalidate
- * @end: the index of the last page to invalidate (inclusive)
- * @nr_pages: defines the pagecache span.  Invalidate up to @start + @nr_pages
+ * @mapping: the address_space which holds the pages to invalidate
+ * @start: the offset 'from' which to invalidate
+ * @end: the offset 'to' which to invalidate (inclusive)
  *
  * This function only removes the unlocked pages, if you want to
  * remove all the pages of one inode, you must call truncate_inode_pages.
diff -puN include/linux/fs.h~misc include/linux/fs.h
--- 25/include/linux/fs.h~misc	2003-05-17 14:09:32.000000000 -0700
+++ 25-akpm/include/linux/fs.h	2003-05-17 14:09:32.000000000 -0700
@@ -313,7 +313,7 @@ struct backing_dev_info;
 struct address_space {
 	struct inode		*host;		/* owner: inode, block_device */
 	struct radix_tree_root	page_tree;	/* radix tree of all pages */
-	spinlock_t		page_lock;	/* and rwlock protecting it */
+	spinlock_t		page_lock;	/* and spinlock protecting it */
 	struct list_head	clean_pages;	/* list of clean pages */
 	struct list_head	dirty_pages;	/* list of dirty pages */
 	struct list_head	locked_pages;	/* list of locked pages */
diff -puN drivers/md/dm-ioctl.c~misc drivers/md/dm-ioctl.c
--- 25/drivers/md/dm-ioctl.c~misc	2003-05-17 14:09:32.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl.c	2003-05-17 14:09:32.000000000 -0700
@@ -1115,7 +1115,6 @@ int __init dm_interface_init(void)
 	       DM_DRIVER_EMAIL);
 	return 0;
 
-      failed:
 	if (misc_deregister(&_dm_misc) < 0)
 		DMERR("misc_deregister failed for control device");
 	dm_hash_exit();
diff -puN Documentation/networking/3c509.txt~misc Documentation/networking/3c509.txt
--- 25/Documentation/networking/3c509.txt~misc	2003-05-17 14:09:32.000000000 -0700
+++ 25-akpm/Documentation/networking/3c509.txt	2003-05-17 14:09:32.000000000 -0700
@@ -52,7 +52,7 @@ loaded as a module, only the IRQ and tra
 For example, setting two cards to 10base2/IRQ10 and AUI/IRQ11 is done by using
 the xcvr and irq module options:
 
-   options 3c509 xcvr=3,3 irq=10,11
+   options 3c509 xcvr=3,1 irq=10,11
 
 
 (2) Full-duplex mode

_
